# imagefilltoborder

(PHP 4, PHP 5, PHP 7)

imagefilltoborder — Flood fill to specific color

### Description

imagefilltoborder ( resource `$image` , int `$x` , int `$y` , int `$border` , int `$color` ) : bool

imagefilltoborder() performs a flood fill whose border color is defined by `border`. The starting point for the fill is `x`, `y` (top left is 0, 0) and the region is filled with color `color`.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`x`

  x-coordinate of start.

`y`

  y-coordinate of start.

`border`

  The border color. A color identifier created with imagecolorallocate().

`color`

  The fill color. A color identifier created with imagecolorallocate().

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Filling an ellipse with a color

`<?php
// Create the image handle, set the background to white
$im = imagecreatetruecolor(100, 100);
imagefilledrectangle($im, 0, 0, 100, 100, imagecolorallocate($im, 255, 255, 255));
// Draw an ellipse to fill with a black border
imageellipse($im, 50, 50, 50, 50, imagecolorallocate($im, 0, 0, 0));
// Set the border and fill colors
$border = imagecolorallocate($im, 0, 0, 0);
$fill = imagecolorallocate($im, 255, 0, 0);
// Fill the selection
imagefilltoborder($im, 50, 50, $border, $fill);
// Output and free memory
header('Content-type: image/png');
imagepng($im);
imagedestroy($im);
?>`

The above example will output something similar to: